> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a recording transcription

> Permanently deletes a recording transcription.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/transcriptions.yml delete /texml/Accounts/{account_sid}/Transcriptions/{recording_transcription_sid}.json
openapi: 3.1.0
info:
  title: Telnyx TeXML Calls API
  version: 2.0.0
  description: API for managing TeXML Transcriptions.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: TeXML command operations
  - name: Callbacks
    description: Webhook callbacks for call events
paths:
  /texml/Accounts/{account_sid}/Transcriptions/{recording_transcription_sid}.json:
    delete:
      tags:
        - TeXML REST Commands
      summary: Delete a recording transcription
      description: Permanently deletes a recording transcription.
      operationId: DeleteTeXMLRecordingTranscription
      parameters:
        - $ref: '#/components/parameters/AccountSid'
        - $ref: '#/components/parameters/RecordingTranscriptionSid'
      responses:
        '204':
          description: The resource was deleted successfully.
        '404':
          $ref: '#/components/responses/call-scripting_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            await
            client.texml.accounts.transcriptions.json.deleteRecordingTranscriptionSidJson(
              '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
              { account_sid: 'account_sid' },
            );
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            client.texml.accounts.transcriptions.json.delete_recording_transcription_sid_json(
                recording_transcription_sid="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
                account_sid="account_sid",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.Texml.Accounts.Transcriptions.Json.DeleteRecordingTranscriptionSidJson(\n\t\tcontext.TODO(),\n\t\t\"6a09cdc3-8948-47f0-aa62-74ac943d6c58\",\n\t\ttelnyx.TexmlAccountTranscriptionJsonDeleteRecordingTranscriptionSidJsonParams{\n\t\t\tAccountSid: \"account_sid\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texml.accounts.transcriptions.json.JsonDeleteRecordingTranscriptionSidJsonParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    JsonDeleteRecordingTranscriptionSidJsonParams params = JsonDeleteRecordingTranscriptionSidJsonParams.builder()
                        .accountSid("account_sid")
                        .recordingTranscriptionSid("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
                        .build();
                    client.texml().accounts().transcriptions().json().deleteRecordingTranscriptionSidJson(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            result =
            telnyx.texml.accounts.transcriptions.json.delete_recording_transcription_sid_json(
              "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
              account_sid: "account_sid"
            )


            puts(result)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $result = $client
                ->texml
                ->accounts
                ->transcriptions
                ->json
                ->deleteRecordingTranscriptionSidJson(
                '6a09cdc3-8948-47f0-aa62-74ac943d6c58', accountSid: 'account_sid'
              );

              var_dump($result);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: >-
            telnyx texml:accounts:transcriptions:json
            delete-recording-transcription-sid-json \
              --api-key 'My API Key' \
              --account-sid account_sid \
              --recording-transcription-sid 6a09cdc3-8948-47f0-aa62-74ac943d6c58
components:
  parameters:
    AccountSid:
      name: account_sid
      in: path
      required: true
      description: The id of the account the resource belongs to.
      schema:
        type: string
    RecordingTranscriptionSid:
      description: Uniquely identifies the recording transcription by id.
      name: recording_transcription_sid
      in: path
      required: true
      schema:
        format: uuid
        type: string
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  responses:
    call-scripting_NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-scripting_ResourceNotFoundError'
  schemas:
    call-scripting_ResourceNotFoundError:
      type: object
      title: Resource not found
      example:
        errors:
          - detail: Resource not found
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````